# Class ImaCueParsingError

#### Hierarchy (view full)

- AdsError
  - ImaCueParsingError

#####
Index

### Constructors

constructor

### Properties

category
code
cueName
description

## Constructors

### constructor

- new ImaCueParsingError(cueName): ImaCueParsingError

- #### Parameters

  - cueName: string

  #### Returns ImaCueParsingError

  Overrides AdsError.constructor

## Properties

### `Readonly` category

category: Ads = ErrorCategory.Ads

Inherited from AdsError.category

### `Readonly` code

code: ImaCueParsingError = ErrorCode.ImaCueParsingError

Overrides AdsError.code

### `Readonly` cueName

cueName: string

### `Readonly` description

description: "There was an error while parsing the IMA ad cue." = 'There was an error while parsing the IMA ad cue.'